# BankTransfer

## Submit a payout by Bank Transfer in Guatemala.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Bank Transfer in Guatemala.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                     |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| document\_type<mark style="color:red;">\*</mark>     | String | <p>Beneficiary's identification type.</p><p>- One of: CUI or NIT -</p>                                                          |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary's identification number.                                                                                            |
| email<mark style="color:red;">\*</mark>              | String | <p>Beneficiary's email<br>- Max 64, valid email -</p>                                                                           |
| phone<mark style="color:red;">\*</mark>              | String | <p>Beneficiary's phone</p><p>- Max 15, valid phone -</p>                                                                        |
| name<mark style="color:red;">\*</mark>               | String | <p>Beneficiary's name<br>- Length must between 5 and 100 -</p>                                                                  |
| country<mark style="color:red;">\*</mark>            | String | Fix value: GTM, for Guatemala                                                                                                   |
| method<mark style="color:red;">\*</mark>             | String | Fixed value: BANKTRANSFER                                                                                                       |
| account\_type<mark style="color:red;">\*</mark>      | String | <p>Beneficiary's Account Type</p><p>- One of: SAVINGS, CHEKCING -</p>                                                           |
| account<mark style="color:red;">\*</mark>            | String | <p>Beneficiary's Bank Account</p><p>- 6 \~ 14 digits -</p>                                                                      |
| bank\_code<mark style="color:red;">\*</mark>         | String | Bank Code in Guatemala, see [***bank list***](/payout/banklist/bank-in-guatemala.md)                                            |
| additional\_remark<mark style="color:red;">\*</mark> | String | <p>The descriptor on the user's bank bill</p><p>- Max. 40 chars -</p>                                                           |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where pagsmile will send notifications to.                                                                                      |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | Fixed value: GTQ                                                                                                                |
| source\_currency<mark style="color:red;">\*</mark>   | String | <p>Merchant Account Currency</p><p>- One of: USD, EUR, GBP -</p>                                                                |
| amount\_type                                         | String | <p>Specify the amount value is fixed for merchant or beneficiary</p><p>- One of: source\_amount, arrival\_amount(default) -</p> |
| amount<mark style="color:red;">\*</mark>             | String | <p>Payout Amount, 2 decimal numbers</p><p>- Min 1, Max 10,000,000 -</p>                                                         |
| fee\_bear<mark style="color:red;">\*</mark>          | String | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p>                                          |
| custom\_code<mark style="color:red;">\*</mark>       | String | <p>Merchant Payout ID</p><p>- Max. 50 chars -</p>                                                                               |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```javascript
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "7.09",
        "arrival_currency": "GTQ",
        "source_amount": "1.01",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```javascript
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
    * "phone": "12******9",
    * "email": "payout@pagsmile.com",
    * "bank_code": "015",
    * "account_type": "CHECKING", // should be one of SAVINGS, CHECKING
    * "account": "00**********95",
    * "document_id": "1*******0",
    * "document_type": "NIT",  // should be one of CUI or NIT
    * "source_currency": "USD", 
    * "arrival_currency": "GTQ", // fixed value: USD
    * "fee_bear": "merchant", // should be one of merchant, beneficiary
    * "method": "BANKTRANSFER", // fixed value: BANKTRANSFER
    * "amount": "1.01",
    * "notify_url": "https://notify.url",
    * "custom_code" : "custom_code9982674851738108",
    * "additional_remark": "pagsmile payout test remark",
    * "country": "GTQ"  // fixed value: GTQ
}
'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is the authorization token associated with the test App ID.
{% endhint %}

## Example of Document

| Document Type | Length | Document                                  | Description                         |
| ------------- | ------ | ----------------------------------------- | ----------------------------------- |
| CUI           | 13     | 3463426000101                             | Código Unico de Identificación      |
| NIT           | 7\~11  | 36029785                         576937-K | Número de Identificación Tributaria |

## Example of Account

<table><thead><tr><th>Bank code</th><th width="194">Bank name</th><th width="439">Account Type &#x26; Formart</th></tr></thead><tbody><tr><td>001</td><td>Banco de Guatemala</td><td>CHEKCING: 6 digits<br>SAVINGS: The bank does not work with this type of account</td></tr><tr><td>004</td><td>El Crédito Hipotecario Nacional de Guatemala</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>012</td><td>Banco de los Trabajadores</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>013</td><td>Banco Inmobiliario S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>015</td><td>Banco Industrial S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>016</td><td>Banco de Desarrollo Rural S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>019</td><td>Banco Internacional S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>030</td><td>Citibank, N.A. Sucursal Guatemala</td><td>CHEKCING: 14 digits<br>SAVINGS: The bank does not work with this type of account</td></tr><tr><td>036</td><td>Vivibanco, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>039</td><td>Banco Ficohsa Guatemala, S.A</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>040</td><td>Banco Proamerica, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>041</td><td>Banco de Antigua, S.A.</td><td>CHEKCING: The bank does not work with this type of account<br>SAVINGS: 14 digits</td></tr><tr><td>042</td><td>Banco de América CENTRAL, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>044</td><td>Banco AGgromercantil de Guatemala, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>045</td><td>Banco G&#x26;T Continental, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>047</td><td>Banco Azteca de Guatemala, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: The bank does not work with this type of account</td></tr><tr><td>048</td><td>Banco Inv, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr><tr><td>049</td><td>Banco Credicorp, S.A.</td><td>CHEKCING: 14 digits<br>SAVINGS: 14 digits</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payout/submit-a-payout/guatemala/banktransfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
